#### Linux From Scratch - Version 7.10

### Chapter 6. Installing Basic System Software

- Prev

  About Debugging Symbols

- Next

  Cleaning Up

- Up
- Home

# 6.72. Stripping Again

If the intended user is not a programmer and does not plan to do any debugging on the system software, the system size can be decreased by about 90 MB by removing the debugging symbols from binaries and libraries. This causes no inconvenience other than not being able to debug the software fully anymore.

Most people who use the command mentioned below do not experience any difficulties. However, it is easy to make a typo and render the new system unusable, so before running the strip command, it is a good idea to make a backup of the LFS system in its current state.

Before performing the stripping, take special care to ensure that none of the binaries that are about to be stripped are running. If unsure whether the user entered chroot with the command given in Section 6.4, “Entering the Chroot Environment,” first exit from chroot:

    logout

Then reenter it with:

    chroot $LFS /tools/bin/env -i            \
        HOME=/root TERM=$TERM PS1='\u:\w\$ ' \
        PATH=/bin:/usr/bin:/sbin:/usr/sbin   \
        /tools/bin/bash --login

Now the binaries and libraries can be safely stripped:

    /tools/bin/find /usr/lib -type f -name \*.a \
       -exec /tools/bin/strip --strip-debug {} ';'

    /tools/bin/find /lib /usr/lib -type f -name \*.so* \
       -exec /tools/bin/strip --strip-unneeded {} ';'

    /tools/bin/find /{bin,sbin} /usr/{bin,sbin,libexec} -type f \
        -exec /tools/bin/strip --strip-all {} ';'

A large number of files will be reported as having their file format not recognized. These warnings can be safely ignored. These warnings indicate that those files are scripts instead of binaries.

- Prev

  About Debugging Symbols

- Next

  Cleaning Up

- Up
- Home